GRAPH1D_ALLOCATE_COORDS(3)

EXPERIMENTAL_FUNC
graph1d_allocate_coords - Allocate co-ordinates for a viewable graph.

SYNOPSIS
#include <karma_graph1d.h>

flag graph1d_allocate_coords

(KViewableGraph vgraph, unsigned int num_coords, double **x, double **y)

DESCRIPTION
Allocate co-ordinates for a viewable graph.

vgraph
    The viewable graph.

num_points
    The number of co-ordinate pairs to allocate.

x   The pointer to the array of horizontal values is written here. The space is automatically dealloated when the graph is destroyed.

y   The pointer to the array of vertical values is written here. The space is automatically dealloated when the graph is destroyed.

RETURN VALUE
TRUE on success, else FALSE, indicating an allocation error.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/